program CEMgr;

uses
  Forms,
  main in 'main.pas' {frmMain},
  about in 'about.pas' {frmAbout},
  SerialIO in 'SerialIO.pas',
  CBuf in 'CBuf.pas',
  selectdevice in 'selectdevice.pas' {frmSelectDevice},
  GenericDevice in 'GenericDevice.pas',
  SLV05 in 'SLV05.pas',
  SLV07 in 'SLV07.pas',
  SLV01 in 'SLV01.pas',
  SLV11 in 'SLV11.pas',
  CharTable in 'CharTable.pas',
  ScriptSet in 'ScriptSet.pas',
  Terminal in 'Terminal.pas' {frmTerminal},
  Inputs in 'Inputs.pas',
  LEDs in 'LEDs.pas',
  PCB in 'PCB.pas',
  Constants in 'Constants.pas',
  GenericCommand in 'GenericCommand.pas',
  SLV01Commands in 'SLV01Commands.pas',
  Palette in 'Palette.pas' {frmPalette},
  Timeline in 'Timeline.pas' {frmTimeLine},
  RowEditor in 'RowEditor.pas' {frmRowEditor},
  PixelEditor in 'PixelEditor.pas' {frmPixelEditor},
  BrightnessEditor in 'BrightnessEditor.pas' {frmBrightnessEditor},
  ColEditor in 'ColEditor.pas' {frmColEditor},
  MsgEditor in 'MsgEditor.pas' {frmMsgEditor},
  DelayEditor in 'DelayEditor.pas' {frmDelayEditor},
  RowShiftEditor in 'RowShiftEditor.pas' {frmRowShiftEditor},
  FontEditor in 'FontEditor.pas' {frmFontEditor},
  CharEditor in 'CharEditor.pas' {frmCharEdit},
  TimelineHelper in 'TimelineHelper.pas' {frmTimelineControl},
  SLV11Commands in 'SLV11Commands.pas',
  SpcEditor in 'SpcEditor.pas' {frmSpcEditor},
  DirEditor in 'DirEditor.pas' {frmDirEditor},
  MirrorEditor in 'MirrorEditor.pas' {frmMirrorEditor},
  CallEditor in 'CallEditor.pas' {frmCallEditor},
  AssignDevice in 'AssignDevice.pas' {frmAssignDevice};

{$R *.res}

begin
  Application.Initialize;
  Application.CreateForm(TfrmMain, frmMain);
  Application.CreateForm(TfrmAbout, frmAbout);
  Application.CreateForm(TfrmSelectDevice, frmSelectDevice);
  Application.CreateForm(TfrmTerminal, frmTerminal);
  Application.CreateForm(TfrmPalette, frmPalette);
  Application.CreateForm(TfrmTimeLine, frmTimeLine);
  Application.CreateForm(TfrmRowEditor, frmRowEditor);
  Application.CreateForm(TfrmPixelEditor, frmPixelEditor);
  Application.CreateForm(TfrmBrightnessEditor, frmBrightnessEditor);
  Application.CreateForm(TfrmColEditor, frmColEditor);
  Application.CreateForm(TfrmMsgEditor, frmMsgEditor);
  Application.CreateForm(TfrmDelayEditor, frmDelayEditor);
  Application.CreateForm(TfrmRowShiftEditor, frmRowShiftEditor);
  Application.CreateForm(TfrmFontEditor, frmFontEditor);
  Application.CreateForm(TfrmCharEdit, frmCharEdit);
  Application.CreateForm(TfrmTimelineControl, frmTimelineControl);
  Application.CreateForm(TfrmSpcEditor, frmSpcEditor);
  Application.CreateForm(TfrmDirEditor, frmDirEditor);
  Application.CreateForm(TfrmMirrorEditor, frmMirrorEditor);
  Application.CreateForm(TfrmCallEditor, frmCallEditor);
  Application.CreateForm(TfrmAssignDevice, frmAssignDevice);
  Application.Run;
end.
