unit DirEditor;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, GenericCommand;

type
  TfrmDirEditor = class(TForm)
    Button1: TButton;
    Button2: TButton;
    rbRTL: TRadioButton;
    rbLTR: TRadioButton;
    procedure Button2Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure FormHide(Sender: TObject);
  private
    FCmd : TGenericCommand;
  public
    procedure OpenEditor(ACmd : TGenericCommand);
  end;

var
  frmDirEditor: TfrmDirEditor;

implementation

uses main;

{$R *.dfm}

// =============================================================================

procedure TfrmDirEditor.OpenEditor(ACmd : TGenericCommand);
begin
  FCmd := ACmd;
  if FCmd.Parameters['Value'] = 'LTR' then
    rbLTR.Checked := true
  else
    rbRTL.Checked := true;
  show;
end;

// -----------------------------------------------------------------------------

procedure TfrmDirEditor.Button2Click(Sender: TObject);
begin
  close;
end;

// -----------------------------------------------------------------------------

procedure TfrmDirEditor.Button1Click(Sender: TObject);
begin
  if rbRTL.Checked then
    FCmd.Parameters['Value'] := 'RTL'
  else
    FCmd.Parameters['Value'] := 'LTR';
  close;
end;

// -----------------------------------------------------------------------------

procedure TfrmDirEditor.FormShow(Sender: TObject);
begin
  DisableAPP;
end;

// -----------------------------------------------------------------------------

procedure TfrmDirEditor.FormHide(Sender: TObject);
begin
  EnableAPP;
  frmMain.SavePositions(self);
end;

// -----------------------------------------------------------------------------

end.
